
Redmine - Feature #1378

Ability to create companies, instead of projects.

2008-06-04 18:08 - Guest Test

Status: Closed Start date: 2008-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 15.00 hours

Target version:    

Resolution: Wont fix   

Description

Every user should have the ability to create a company, in which he can create his / her own projects.

This is very useful for multi company cooperations, where each company has very similiar sounding projects,

and have to be kept seperated. If the projects assigned to companies, projects with similiar names won't be in conflict anymore.

Project "Ant" from Company "Riff" wont collide with Project "Ant" from Company "Hospital Farming".

Both projects have the same name, but different companies.

History

#1 - 2008-06-05 11:07 - Thomas Lecavelier

- Assignee deleted (Jean-Philippe Lang)

- Target version deleted (0.8)

It's one more layer of complexity for dependencies. I don't think it's very relevent. When having to deal with a big bunch of companies, they have

money to provide a server sufficient to serve a redmine by customer, what should be more logical since there won't be relations between these

company projects (and multiple instance would enhance security).

My -1 on that feature.

#2 - 2008-08-23 16:44 - Jim Jones

-1 from me, too.

If the projects from different "companies" don't have any direct relation then they can just as well live in separate redmine instances.

#3 - 2012-10-30 21:23 - Daniel Felix

Well I think this could be implemented using better project names or simply adding subprojects.

This way you can define some Project called "CompanyA" with Subproject CompanyA-ProjectA, CompanyA-ProjectB, ... etc.

The only thing, which must be respected are the identifier, which should be unique.

#4 - 2012-10-30 21:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix
